## polipo 0.9.4

=== Makefile ===
PREFIX = /usr/local
BINDIR = $(PREFIX)/bin
MANDIR = $(PREFIX)/man
INFODIR = $(PREFIX)/info
LOCAL_ROOT = /usr/share/polipo/www
DISK_CACHE_ROOT = /var/cache/polipo

# CDEBUGFLAGS = -O

# CC = gcc
# CDEBUGFLAGS = -O -g -Wall -std=gnu99
CDEBUGFLAGS = -O -g -Wall
# CDEBUGFLAGS = -Os -Wall
# CDEBUGFLAGS = -g -Wall

# CC = c89
# CC = c99
# CDEBUGFLAGS=-O

# To compile with icc, you need -restrict.  (Their bug.)

# CC=icc
# CDEBUGFLAGS = -O -restrict

# On System V (Solaris, HP/UX) you need the following:

# PLATFORM_DEFINES = -DSVR4

# On Solaris, you need the following:

# LDLIBS = -lsocket -lnsl -lresolv

FILE_DEFINES = -DLOCAL_ROOT=\"$(LOCAL_ROOT)/\" \
               -DDISK_CACHE_ROOT=\"$(DISK_CACHE_ROOT)/\"

# You may optionally also add any of the following to DEFINES:
#
#  -DNO_DISK_CACHE to compile out the on-disk cache and local web server;
#  -DNO_IPv6 to avoid using the RFC 3493 API and stick to stock
#      Berkeley sockets;
#  -DHAVE_IPv6 to use the RFC 3493 API;
#  -DNO_FANCY_RESOLVER to compile out the asynchronous name resolution
#      code;
#  -DNO_STANDARD_RESOLVER to compile out the code that falls back to
#      gethostbyname/getaddrinfo when DNS requests fail.
#  -DNO_TUNNEL to compile out the code that handles CONNECT requests.

DEFINES = $(FILE_DEFINES) $(PLATFORM_DEFINES)

CFLAGS = $(MD5INCLUDES) $(CDEBUGFLAGS) $(DEFINES) $(EXTRA_DEFINES)

SRCS = util.c event.c io.c chunk.c atom.c object.c log.c diskcache.c main.c \
       config.c local.c http.c client.c server.c auth.c tunnel.c \
       http_parse.c parse_time.c dns.c forbidden.c \
       md5import.c md5.c ftsimport.c fts_compat.c

OBJS = util.o event.o io.o chunk.o atom.o object.o log.o diskcache.o main.o \
       config.o local.o http.o client.o server.o auth.o tunnel.o \
       http_parse.o parse_time.o dns.o forbidden.o \
       md5import.o ftsimport.o \

polipo: $(OBJS)
	$(CC) $(CFLAGS) $(LDFLAGS) -o polipo $(OBJS) $(MD5LIBS) $(LDLIBS)

ftsimport.o: ftsimport.c fts_compat.c

md5import.o: md5import.c md5.c

all: polipo polipo.info html/index.html localindex.html

install: install.binary install.man

install.binary: all
	mkdir -p $(TARGET)$(BINDIR)
	mkdir -p $(TARGET)$(LOCAL_ROOT)
	mkdir -p $(TARGET)$(LOCAL_ROOT)/doc
	rm -f $(TARGET)$(BINDIR)/polipo
	cp -f polipo $(TARGET)$(BINDIR)/
	cp -f html/* $(TARGET)$(LOCAL_ROOT)/doc
	cp -f localindex.html $(TARGET)$(LOCAL_ROOT)/index.html

install.man: all
	mkdir -p $(TARGET)$(MANDIR)/man1
	mkdir -p $(TARGET)$(INFODIR)
	cp -f polipo.man $(TARGET)$(MANDIR)/man1/polipo.1
	cp polipo.info $(TARGET)$(INFODIR)/
	install-info --info-dir=$(INFODIR) polipo.info


polipo.info: polipo.texi
	makeinfo polipo.texi

html/index.html: polipo.texi
	mkdir -p html
	makeinfo --html -o html polipo.texi

polipo.html: polipo.texi
	makeinfo --html --no-split --no-headers -o polipo.html polipo.texi

polipo.pdf: polipo.texi
	texi2pdf polipo.texi

polipo.ps.gz: polipo.ps
	gzip -c polipo.ps > polipo.ps.gz

polipo.ps: polipo.dvi
	dvips -Pwww -o polipo.ps polipo.dvi

polipo.dvi: polipo.texi
	texi2dvi polipo.texi

polipo.man.html: polipo.man
	groff -man -Thtml polipo.man > polipo.man.html

TAGS: $(SRCS)
	etags $(SRCS)

clean:
	-rm -f polipo *.o *~ core TAGS gmon.out
	-rm -f polipo.cp polipo.fn polipo.log polipo.vr
	-rm -f polipo.cps polipo.info* polipo.pg polipo.toc polipo.vrs
	-rm -f polipo.aux polipo.dvi polipo.ky polipo.ps polipo.tp
	-rm -f polipo.dvi polipo.ps polipo.ps.gz polipo.pdf polipo.html
	-rm -rf ./html/
	-rm -f polipo.man.html

## polipo 0.9.10

=== Makefile ===
--- 
+++ 
@@ -6,6 +6,8 @@
 DISK_CACHE_ROOT = /var/cache/polipo
 
 # CDEBUGFLAGS = -O
+
+# If using GCC 4, you will probably want to add -Wno-pointer-sign.
 
 # CC = gcc
 # CDEBUGFLAGS = -O -g -Wall -std=gnu99

## polipo 1.0.1

=== Makefile ===
--- 
+++ 
@@ -5,21 +5,25 @@
 LOCAL_ROOT = /usr/share/polipo/www
 DISK_CACHE_ROOT = /var/cache/polipo
 
-# CDEBUGFLAGS = -O
+# To compile with Unix CC:
 
-# If using GCC 4, you will probably want to add -Wno-pointer-sign.
+# CDEBUGFLAGS=-O
+
+# To compile with GCC:
 
 # CC = gcc
-# CDEBUGFLAGS = -O -g -Wall -std=gnu99
-CDEBUGFLAGS = -O -g -Wall
+# CDEBUGFLAGS = -Os -g -Wall -std=gnu99
+CDEBUGFLAGS = -Os -g -Wall
 # CDEBUGFLAGS = -Os -Wall
 # CDEBUGFLAGS = -g -Wall
+
+# To compile on a pure POSIX system:
 
 # CC = c89
 # CC = c99
 # CDEBUGFLAGS=-O
 
-# To compile with icc, you need -restrict.  (Their bug.)
+# To compile with icc 7, you need -restrict.  (Their bug.)
 
 # CC=icc
 # CDEBUGFLAGS = -O -restrict
@@ -32,6 +36,11 @@
 
 # LDLIBS = -lsocket -lnsl -lresolv
 
+# On mingw, you need
+
+# EXE=.exe
+# LDLIBS = -lwsock32
+
 FILE_DEFINES = -DLOCAL_ROOT=\"$(LOCAL_ROOT)/\" \
                -DDISK_CACHE_ROOT=\"$(DISK_CACHE_ROOT)/\"
 
@@ -40,12 +49,16 @@
 #  -DNO_DISK_CACHE to compile out the on-disk cache and local web server;
 #  -DNO_IPv6 to avoid using the RFC 3493 API and stick to stock
 #      Berkeley sockets;
-#  -DHAVE_IPv6 to use the RFC 3493 API;
+#  -DHAVE_IPv6 to force the use of the RFC 3493 API on systems other
+#      than GNU/Linux and BSD (let me know if it works);
 #  -DNO_FANCY_RESOLVER to compile out the asynchronous name resolution
 #      code;
 #  -DNO_STANDARD_RESOLVER to compile out the code that falls back to
-#      gethostbyname/getaddrinfo when DNS requests fail.
-#  -DNO_TUNNEL to compile out the code that handles CONNECT requests.
+#      gethostbyname/getaddrinfo when DNS requests fail;
+#  -DNO_TUNNEL to compile out the code that handles CONNECT requests;
+#  -DNO_SOCKS to compile out the SOCKS gateway code.
+#  -DNO_FORBIDDEN to compile out the all of the forbidden URL code
+#  -DNO_REDIRECTOR to compile out the Squid-style redirector code
 
 DEFINES = $(FILE_DEFINES) $(PLATFORM_DEFINES)
 
@@ -54,21 +67,23 @@
 SRCS = util.c event.c io.c chunk.c atom.c object.c log.c diskcache.c main.c \
        config.c local.c http.c client.c server.c auth.c tunnel.c \
        http_parse.c parse_time.c dns.c forbidden.c \
-       md5import.c md5.c ftsimport.c fts_compat.c
+       md5import.c md5.c ftsimport.c fts_compat.c socks.c mingw.c
 
 OBJS = util.o event.o io.o chunk.o atom.o object.o log.o diskcache.o main.o \
        config.o local.o http.o client.o server.o auth.o tunnel.o \
        http_parse.o parse_time.o dns.o forbidden.o \
-       md5import.o ftsimport.o \
+       md5import.o ftsimport.o socks.o mingw.o
 
-polipo: $(OBJS)
-	$(CC) $(CFLAGS) $(LDFLAGS) -o polipo $(OBJS) $(MD5LIBS) $(LDLIBS)
+polipo$(EXE): $(OBJS)
+	$(CC) $(CFLAGS) $(LDFLAGS) -o polipo$(EXE) $(OBJS) $(MD5LIBS) $(LDLIBS)
 
 ftsimport.o: ftsimport.c fts_compat.c
 
 md5import.o: md5import.c md5.c
 
-all: polipo polipo.info html/index.html localindex.html
+.PHONY: all install install.binary install.man
+
+all: polipo$(EXE) polipo.info html/index.html localindex.html
 
 install: install.binary install.man
 
@@ -86,7 +101,7 @@
 	mkdir -p $(TARGET)$(INFODIR)
 	cp -f polipo.man $(TARGET)$(MANDIR)/man1/polipo.1
 	cp polipo.info $(TARGET)$(INFODIR)/
-	install-info --info-dir=$(INFODIR) polipo.info
+	install-info --info-dir=$(TARGET)$(INFODIR) polipo.info
 
 
 polipo.info: polipo.texi
@@ -117,8 +132,10 @@
 TAGS: $(SRCS)
 	etags $(SRCS)
 
+.PHONY: clean
+
 clean:
-	-rm -f polipo *.o *~ core TAGS gmon.out
+	-rm -f polipo$(EXE) *.o *~ core TAGS gmon.out
 	-rm -f polipo.cp polipo.fn polipo.log polipo.vr
 	-rm -f polipo.cps polipo.info* polipo.pg polipo.toc polipo.vrs
 	-rm -f polipo.aux polipo.dvi polipo.ky polipo.ps polipo.tp

## polipo 1.0.4-1.1maemo0

=== debian/changelog ===
polipo (1.0.4-1.1maemo0) unstable; urgency=low

  * Small build fix to build in Maemo 5 scratchbox.

 -- Philipp Zabel <philipp.zabel@gmail.com>  Wed, 13 Jan 2010 20:50:36 +0100

polipo (1.0.4-1.1) unstable; urgency=medium

  * Non-maintainer upload for RC bug fix.
  * Fix segfault when server sends Cache-Control: max-age without a value
    (closes: #547047).

 -- Stefan Fritsch <sf@debian.org>  Wed, 23 Sep 2009 21:29:43 +0200

polipo (1.0.4-1) unstable; urgency=low

  * New upstream release
  * Create /var/cache/polipo, /var/log/polipo and /var/run/polipo
    directories by postinst script. /var/log/polipo now has proxy:adm
    owners and 2755 rights, log files are proxy:adm 640 (closes: #291822)
  * Remove /var/cache/polipo, /var/log/polipo and /var/run/polipo
    directories by postrm script, make full cleanup on purging package
  * debian/control: change Standards-Version to 3.7.3
  * debian/control: move Homepage to pseudo-header
  * init.d: make sure /var/run/polipo exists
  * init.d: remove the S runlevel from Default-Stop

 -- Denis V. Sirotkin <fechiny@gmail.com>  Fri, 11 Jan 2008 23:13:27 +0500

polipo (1.0.3-1) unstable; urgency=low

  * New upstream release
  * Changed pattern in the debian/watch to avoid searching testing versions
    like `polipo-20071001'

 -- Denis V. Sirotkin <fechiny@gmail.com>  Mon, 08 Oct 2007 19:21:32 +0600

polipo (1.0.2-1) unstable; urgency=low

  * New upstream release (closes: #439441)

 -- Denis V. Sirotkin <fechiny@gmail.com>  Mon, 27 Aug 2007 18:25:05 +0600

polipo (1.0.1-2) unstable; urgency=low

  * Install the sample forbidden file into /etc/polipo
  * Added network if-up/down scripts similar to ppp ip-up/down
    (closes: #305852, #418715)
  * Added debian/watch file
  * debian/compat: changed debhelper compatibility to 5
  * debian/control: changed Build-Depends on debhelper (>= 5)
  * dpatch applied

 -- Denis V. Sirotkin <fechiny@gmail.com>  Sun, 29 Jul 2007 18:25:25 +0600

polipo (1.0.1-1) unstable; urgency=low

  * New upstream release
  * New maintainer (closes: #430411)

 -- Denis V. Sirotkin <fechiny@gmail.com>  Wed, 27 Jun 2007 14:37:06 +0600

polipo (1.0.0-1) unstable; urgency=low

  * New upstream release

 -- Tom Huckstep <tom-debian-polipo@jaguarpaw.co.uk>  Fri, 15 Jun 2007 10:29:16 +0100

polipo (0.9.12-1) unstable; urgency=low

  * New upstream release (closes: #405962, #409998, #405283, #402490)

 -- Tom Huckstep <tom-debian-polipo@jaguarpaw.co.uk>  Mon, 12 Feb 2007 14:29:39 +0000

polipo (0.9.10-1) unstable; urgency=low

  * New upstream release (closes: #349942, #385751)
  * Add 'Index' field to 'Info' section of doc-base control file
    (closes: #372245)
  * Remove debiandoc-sgml entry from doc-base control file.  This has never
    existed, as far as I remember, and I don't know what it was doing there.
  * Added LSB-compliant init script header

 -- Tom Huckstep <tom-debian-polipo@jaguarpaw.co.uk>  Mon,  4 Sep 2006 13:51:33 +0100

polipo (0.9.9-1) unstable; urgency=low

  * New upstream release (closes: #315655, #332411 CAN-2005-3163)
  * Fixed bug in logrotate script which causes an error when the pidfile
    does not exist (closes: #294442, thanks to Vineet Kumar)

 -- Tom Huckstep <tom-debian-polipo@jaguarpaw.co.uk>  Tue,  4 Oct 2005 14:35:02 +0100

polipo (0.9.8-1) unstable; urgency=low

  * New upstream release

 -- Tom Huckstep <tom-debian-polipo@jaguarpaw.co.uk>  Mon, 24 Jan 2005 23:22:46 +0000

polipo (0.9.7-2) unstable; urgency=low

  * Apply lax HTTP parser patch so that Polipo continues to talk to servers
    whose HTTP is buggy (closes: #265128)

 -- Tom Huckstep <tom-debian-polipo@jaguarpaw.co.uk>  Fri, 14 Jan 2005 11:22:18 +0000

polipo (0.9.7-1) unstable; urgency=low

  * New upstream release
  * /var/cache/polipo, /var/log/polipo and /var/run/polipo now have
    permissions 750, for privacy  (closes: #283523, thanks to Hugo Haas)

 -- Tom Huckstep <tom-debian-polipo@jaguarpaw.co.uk>  Mon, 27 Dec 2004 17:58:22 +0000

polipo (0.9.6-1) unstable; urgency=low

  * New upstream release (closes #277985, #265128)
  * forbiddenFile can be a directory: fix polipo-control accordingly, closes #277929
    (thanks to VSJ)

 -- Tom Huckstep <tom-debian-polipo@jaguarpaw.co.uk>  Sun, 31 Oct 2004 19:32:21 +0000

polipo (0.9.5-1) unstable; urgency=low

  * New upstream release (closes: #253150, #253156)

 -- Tom Huckstep <tom-debian-polipo@jaguarpaw.co.uk>  Mon, 21 Jun 2004 22:04:28 +0100

polipo (0.9.4-3) unstable; urgency=low

  * Append ".patch" suffix to "debian/patches/polipo--devel--0--patch-23",
    so that it actually applies.
  * polipo-control: Quote "`nameOfPID $PID`".  Thanks to Gergely Nagy,
    closes: #251071
  * Applied polipo--devel--0--patch-25 to fix char signedness issues. 
    Thanks to Gergely Nagy, closes #250419

 -- Tom Huckstep <tom-debian-polipo@jaguarpaw.co.uk>  Sun, 30 May 2004 22:20:36 +0100

polipo (0.9.4-2) unstable; urgency=low

  * Applied polipo--devel--0--patch-23 to fix 'connection->flags &
    2' assertion bug

 -- Tom Huckstep <tom-debian-polipo@jaguarpaw.co.uk>  Sun, 16 May 2004 10:34:41 +0100

polipo (0.9.4-1) unstable; urgency=low

  * New upstream release
  * Renamed /etc/ppp/ip-up/down.d/polipo to /etc/ppp/ip-up/down.d/1polipo,
    so that polipo comes online pretty soon after PPP is brought up,
    closes: #249051
  * Put polipo.ppp.ip-up/down in ip-up/down directories, because I'm now
    using the name '1polipo' instead of 'polipo'.  A CDBS script I wrote
    (debian/cdbs/ip-updown.mk) deals with installing these files.
  * polipo.postinst: move ip-up/down.d/polipo to polipo.old,
    because we are now using the name '1polipo', but we do not want to
    delete a former conffile.  'polipo.old' will not be run by run-parts.
  * Actually set the variable $OPTION_FILE in ip-up/down.d/polipo, instead
    of stupidly leaving it dangling.

 -- Tom Huckstep <tom-debian-polipo@jaguarpaw.co.uk>  Sat, 15 May 2004 11:04:36 +0100

polipo (0.9.3-4) unstable; urgency=low



## polipo 1.0.4-1.1maemo1

=== debian/changelog ===
polipo (1.0.4-1.1maemo1) unstable; urgency=low

  * Remove docs.
  * Use suggested Tor configuration.
  * Optify.

 -- Philipp Zabel <philipp.zabel@gmail.com>  Thu, 14 Jan 2010 20:42:28 +0100

=== debian/control ===
Source: polipo
Section: web
Priority: optional
Maintainer: Denis V. Sirotkin <fechiny@gmail.com>
Build-Depends: debhelper (>= 5), cdbs, texinfo, dpatch
Standards-Version: 3.7.3
Homepage: http://www.pps.jussieu.fr/~jch/software/polipo/

Package: polipo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: a small, caching web proxy
 Polipo is a caching web proxy (a web cache) designed to be used by one
 person or a small group of people. It is similar in spirit to WWWOFFLE, but
 the implementation techniques are more like the ones ones used by Squid.
 .
 Polipo has some features that are unique among currently available proxies:
 .
  o Polipo will use HTTP/1.1 pipelining if it believes that the remote
  server supports it, whether the incoming requests are pipelined or
  come in simultaneously on multiple connections (this is more than the
  simple usage of persistent connections, which is done by e.g. Squid);
 .
  o Polipo will cache the initial segment of an instance if the
  download has been interrupted, and, if necessary, complete it later
  using Range requests;
 .
  o Polipo will upgrade client requests to HTTP/1.1 even if they come
  in as HTTP/1.0, and up- or downgrade server replies to the client's
  capabilities (this may involve conversion to or from the HTTP/1.1
  chunked encoding);
 .
  o Polipo has fairly complete support for IPv6 (except for scoped
  (link-local) addresses).
 .
 Optionally, Polipo can use a technique known as Poor Man's Multiplexing
 to reduce latency.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/dpatch.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk
include debian/cdbs/helper-scripts.mk
include debian/cdbs/ip-updown.mk
include debian/cdbs/if-updown.mk
include debian/cdbs/options.mk

DEB_MAKE_INVOKE = $(DEB_MAKE_ENVVARS) make -C $(DEB_BUILDDIR)

DEB_MAKE_BUILD_TARGET = all
DEB_MAKE_INSTALL_TARGET = install.binary DESTDIR=$(DEB_DESTDIR)

=== debian/watch ===
version=3
http://www.pps.jussieu.fr/~jch/software/files/polipo/ polipo-(\d*\.\d*\.\d*)\.tar\.gz

## polipo 1.0.4.1

=== Makefile ===
--- 
+++ 
@@ -59,6 +59,7 @@
 #  -DNO_SOCKS to compile out the SOCKS gateway code.
 #  -DNO_FORBIDDEN to compile out the all of the forbidden URL code
 #  -DNO_REDIRECTOR to compile out the Squid-style redirector code
+#  -DNO_SYSLOG to compile out logging to syslog
 
 DEFINES = $(FILE_DEFINES) $(PLATFORM_DEFINES)

=== debian/changelog ===
polipo (1.0.4.1-6) unstable; urgency=low

  * copyright: bump my copyright to 2014
  * config: set (overridable) default for logFile. Closes: #735624

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Sat, 18 Jan 2014 15:35:28 +0800

polipo (1.0.4.1-5) unstable; urgency=low

  * stop hardcoding some variables in polipo-control script. Closes: #510284
  * backport upstream commit 136f10f7 (syslogging on amd64). Closes: #729926
  * add explicit shell call to daily cronjob script. Closes: #734833
  * control: update to standard 3.9.5. No further changes.

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Wed, 15 Jan 2014 11:16:50 +0800

polipo (1.0.4.1-4) unstable; urgency=low

  * provide sample configs as examples instead of installing them to /etc
  * Log to syslog by default. Closes: #292992, LP: #1055390.

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Sat, 26 Oct 2013 12:35:24 +0800

polipo (1.0.4.1-3) unstable; urgency=low

  [ Frank Blendinger ]
  * exit cron.daily script with 0 status. Closes: #549981

  [ Rolf Leggewie ]
  * patches: backport Jan Braun's IPv6 DNS patch. Closes: #600678

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Mon, 13 May 2013 13:19:51 +0800

polipo (1.0.4.1-2) experimental; urgency=low

  [ Jari Aalto ]
  * Update to DebSrc3 quilt packaging format. Closes: #664380
  * Remove deprecated dpatch, make sure patches 10 and 30 apply cleanly
  * Update to Standards-Version 3.9.4 and debhelper 9
  * Clean up whitespaces from debian/*
  * Update debian/copyright to Format 1.0
  * Make sure the init.d script is LSB-compatible

  [ Nelson A. de Oliveira ]
  * fix permissions set in logrotate control file. Closes: #676855

  [ Bart Martens ]
  * update watch file to new location

  [ Rolf Leggewie ]
  * control:
    - Take over maintenance of polipo and acknowledge previous NMUs
    - add Donovan Baarda as co-maintainer, welcome aboard
    - small change in short description to make lintian happy
    - add VCS packaging information
  * patches:
    - some more work to get DebSrc3/quilt working again after Jari's
      patch has already slightly bitrotted
    - update the Makefile patch so that files end up in the right places
  * links: link in www-docs to /usr/share/doc/polipo.  Closes: #539360
  * README.Debian: drop reference to long-obsolete web page
  * move build system over to dh7 from cdbs

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Thu, 21 Mar 2013 11:53:17 +0800

polipo (1.0.4.1-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Enable hardened build flags, patch by Steven Chamberlain (Closes: #666451)
  * Fix CVE-2011-3596 (Closes: #644289)

 -- Moritz Muehlenhoff <jmm@debian.org>  Fri, 01 Jun 2012 16:46:13 +0200

polipo (1.0.4.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Delete obsolete /etc/network/if-{up,down}.d and /etc/ppp/ip-{up,down}.d
    scripts (closes: #578684).
  * Add patch cherry-picked from upstream git to stop ignoring CNAMEs after a
    DNS timeout (closes: #540912).
  * Add dependency on $remote_fs to init.d script (it needs /usr).  Pointed
    out by lintian.
  * Change doc-base section from web to Network/Web Browsing.  Pointed out by
    lintian.

 -- Julien Cristau <jcristau@debian.org>  Sat, 22 May 2010 14:09:29 +0200

polipo (1.0.4.1-1) unstable; urgency=low

  * New maintainer.
  * New upstream release.
  * Update Standards-Version to 3.8.4.
  * Remove duplicate word in long description (closes: #574613)
  * Remove 30_log-permission patch. (closes: #481601)
  * Remove 40_segfault_max_age.dpatch. (closes: #547047)
  * Remove 50_integer_overflow.dpatch. Fixed upstream.
  * Remove 60_security_fixes.dpatch. Fixed upstream.
  * Put /var/cache/polipo and /var/log/polipo in the .deb and
    stop managing them in postinst and postrm.
  * Remove offline and online options from polipo-control.

 -- Erinn Clark <erinn@torproject.org>  Wed, 31 Mar 2010 19:26:20 -0700

polipo (1.0.4-3) unstable; urgency=high

  * QA upload.
  * Backport various security related bug fixes from upstream git.

 -- Stefan Fritsch <sf@debian.org>  Fri, 29 Jan 2010 19:02:07 +0100

polipo (1.0.4-2) unstable; urgency=high

  [ Andreas Kirschbaum ]
  * Apply upstream commit to fix DoS via overly large "Content-Length"
    header; fixes CVE-2009-3305 (closes: #560779)

  [ Julien Cristau ]
  * QA upload.
  * Set Maintainer to Debian QA Group (see #566150).
  * High urgency for RC bugfix.

 -- Julien Cristau <jcristau@debian.org>  Wed, 27 Jan 2010 15:01:52 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,21 @@
 Source: polipo
 Section: web
 Priority: optional
-Maintainer: Denis V. Sirotkin <fechiny@gmail.com>
-Build-Depends: debhelper (>= 5), cdbs, texinfo, dpatch
-Standards-Version: 3.7.3
+Maintainer: Rolf Leggewie <foss@rolf.leggewie.biz>
+Uploaders: Donovan Baarda <abo@minkirri.apana.org.au>
+Build-Depends: debhelper (>= 9), texinfo
+Standards-Version: 3.9.5
 Homepage: http://www.pps.jussieu.fr/~jch/software/polipo/
+Vcs-git: git://git.debian.org/git/collab-maint/polipo.git
+Vcs-Browser: http://git.debian.org/?p=collab-maint/polipo.git
 
 Package: polipo
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: a small, caching web proxy
+Depends: lsb-base, ${shlibs:Depends}, ${misc:Depends}
+Description: lightweight, caching web proxy
  Polipo is a caching web proxy (a web cache) designed to be used by one
  person or a small group of people. It is similar in spirit to WWWOFFLE, but
- the implementation techniques are more like the ones ones used by Squid.
+ the implementation techniques are more like the ones used by Squid.
  .
  Polipo has some features that are unique among currently available proxies:
  .

=== debian/watch ===
version=3
opts=uversionmangle=s/^200\d*$/0.0.$1/ \
http://freehaven.net/~chrisd/polipo/polipo-(\d.*)\.(?:tgz|tar\.(?:gz|bz2|xz))

## polipo 1.1.1

=== Makefile ===
--- 
+++ 
@@ -12,10 +12,7 @@
 # To compile with GCC:
 
 # CC = gcc
-# CDEBUGFLAGS = -Os -g -Wall -std=gnu99
-CDEBUGFLAGS = -Os -g -Wall
-# CDEBUGFLAGS = -Os -Wall
-# CDEBUGFLAGS = -g -Wall
+CDEBUGFLAGS = -Os -g -Wall -fno-strict-aliasing
 
 # To compile on a pure POSIX system:
 
@@ -39,7 +36,7 @@
 # On mingw, you need
 
 # EXE=.exe
-# LDLIBS = -lwsock32
+# LDLIBS = -lws2_32
 
 FILE_DEFINES = -DLOCAL_ROOT=\"$(LOCAL_ROOT)/\" \
                -DDISK_CACHE_ROOT=\"$(DISK_CACHE_ROOT)/\"
@@ -128,7 +125,7 @@
 	texi2dvi polipo.texi
 
 polipo.man.html: polipo.man
-	groff -man -Thtml polipo.man > polipo.man.html
+	rman -f html polipo.man > polipo.man.html
 
 TAGS: $(SRCS)
 	etags $(SRCS)

=== debian/changelog ===
polipo (1.1.1-8) unstable; urgency=medium

  * control:
    - update Debian Standard to 4.1.4
    - replace priority extra by priority optional
    - update VCS URIs to point to github

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Mon, 16 Apr 2018 19:48:25 +0800

polipo (1.1.1-7) unstable; urgency=medium

  * add debug package. Closes: #551680

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Thu, 13 Aug 2015 18:49:59 +0800

polipo (1.1.1-6) unstable; urgency=medium

  * stop special-casing a long-gone pkg version in the maintainer scripts
  * copyright: update my copyright to 2015

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Thu, 13 Aug 2015 16:06:50 +0800

polipo (1.1.1-5) unstable; urgency=medium

  * make the weekly cron call more robust
    handle spaces in the polipo config file properly

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Thu, 23 Oct 2014 12:49:28 +0900

polipo (1.1.1-4) unstable; urgency=medium

  * reintroduce call to su in logrotation dropped in 1.1.1-3
  * add support to trim the cache. Closes: #293742
    Added an entry to README.Debian that will explain the very simple
    things the administrator needs to do to enable the purging.
    The desired size of the cache is user-configurable.
  * control:
    - add local caching DNS server to Recommends
    - bump to Standard 3.9.6. No further changes.
  * flatten debian/helper-scripts directory structure

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Wed, 22 Oct 2014 22:08:58 +0900

polipo (1.1.1-3) unstable; urgency=low

  * drop su-call in logrotate snippet (unb0rk logrotation)

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Sun, 12 Oct 2014 14:33:03 +0800

polipo (1.1.1-2) unstable; urgency=low

  * patches: observe Debian default location for logFile even in the
    absence of an explicitly set value
  * rules: enable ALL hardening compile options. Closes: #751013

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Mon, 15 Sep 2014 12:48:59 +0800

polipo (1.1.1-1) unstable; urgency=medium

  * release newest upstream version 1.1.1.  Closes: #746750
    - use regerror to improve error reporting. Closes: #585766
    - correct return value from processObject in error case. LP: #988780
    - resume interrupted file download properly. Closes: #517479
    - vastly improve stability. LP: #1055418,  LP: #988780, LP: #1168593
      Closes: #684742, Closes: #307801, Closes: #432561, Closes: #646709
    - handle non-existent host properly. Closes: #655851
    - Don't revalidate objects >= CHUNK_SIZE that aren't in the disk cache.
      Closes: #610199
  * drop patches included upstream and rebase the rest
  * update watch file

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Fri, 06 Jun 2014 15:29:19 +0200

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,15 @@
 Maintainer: Rolf Leggewie <foss@rolf.leggewie.biz>
 Uploaders: Donovan Baarda <abo@minkirri.apana.org.au>
 Build-Depends: debhelper (>= 9), texinfo
-Standards-Version: 3.9.5
+Standards-Version: 4.1.4
 Homepage: http://www.pps.jussieu.fr/~jch/software/polipo/
-Vcs-git: git://git.debian.org/git/collab-maint/polipo.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/polipo.git
+Vcs-Browser: https://github.com/leggewie-DM/polipo
+Vcs-Git: https://github.com/leggewie-DM/polipo.git
 
 Package: polipo
 Architecture: any
 Depends: lsb-base, ${shlibs:Depends}, ${misc:Depends}
+Recommends: dnsmasq | pdnsd | unbound, python
 Description: lightweight, caching web proxy
  Polipo is a caching web proxy (a web cache) designed to be used by one
  person or a small group of people. It is similar in spirit to WWWOFFLE, but
@@ -38,3 +39,15 @@
  .
  Optionally, Polipo can use a technique known as Poor Man's Multiplexing
  to reduce latency.
+
+Package: polipo-dbg
+Section: debug
+Priority: optional
+Architecture: any
+Depends: polipo (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Description: debug package for polipo
+ Polipo is a caching web proxy (a web cache) designed to be used by one
+ person or a small group of people. It is similar in spirit to WWWOFFLE, but
+ the implementation techniques are more like the ones used by Squid.
+ .
+ This package contains the debugging symbols for polipo.

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_install:
	dh_auto_install --destdir=debian/polipo

override_dh_installdocs:
	dh_installdocs --link-doc=polipo

override_dh_strip:
	dh_strip --dbg-package=polipo-dbg

=== debian/watch ===
version=3
opts=uversionmangle=s/^20[01]\d*$/0.0.$1/ \
http://www.pps.univ-paris-diderot.fr/~jch/software/files/polipo/polipo-(\d.*)\.(?:tgz|tar\.(?:gz|bz2|xz))
